Skip to the page

A project and its environments

GET/v1/organisations/{id}/projects/{pid}

Operation projects.get · since 2026-11-05 · stable

Needs a session withreadscopeAnswers200 OK

The project and its environments.

Path parameters

idstring (uuid)required
The organisation id.
pidstring (uuid)required
The project id.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

GET/v1/organisations/{id}/projects/{pid}
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/projects/$PROJECT_ID" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"
With the rykloud CLI
rykloud projects get PROJECT

Command reference: rykloud projects get